
From: Prasanna S Panchamukhi <prasanna@in.ibm.com>

This patch adds the return value check for the exception notifiers at
do_general_protection as pointed out by Chuck Ebbert.

Signed-off-by: Prasanna S Panchamukhi <prasanna@in.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/traps.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN arch/x86_64/kernel/traps.c~x86_64-do_general_protection-retval-check arch/x86_64/kernel/traps.c
--- 25/arch/x86_64/kernel/traps.c~x86_64-do_general_protection-retval-check	2004-11-30 01:22:56.798253848 -0800
+++ 25-akpm/arch/x86_64/kernel/traps.c	2004-11-30 01:22:56.801253392 -0800
@@ -556,8 +556,9 @@ asmlinkage void do_general_protection(st
 			regs->rip = fixup->fixup;
 			return;
 		}
-		notify_die(DIE_GPF, "general protection fault", regs, error_code,
-			   13, SIGSEGV); 
+		if (notify_die(DIE_GPF, "general protection fault", regs,
+					error_code, 13, SIGSEGV) == NOTIFY_STOP)
+			return;
 		die("general protection fault", regs, error_code);
 	}
 }
_
